Attribute VB_Name = "Module1"
'-----------------------------------------------------------------------
'       aisa06.bas
'
'       AISA-A06W/H Win32 API.
'-----------------------------------------------------------------------

Option Explicit

' őXbg
Global Const AISA06_MAX_SLOTS = 16

' _Xbgw
Global Const AISA06_SLOT_AUTO = &HFFFF

' G[R[h̒`
Global Const AISA06_ERR_INTERNAL = 5100              ' Send mail to us
Global Const AISA06_ERR_UNKNOWN = 5101               ' Help me!
Global Const AISA06_SUCCESS = 0                      ' I
Global Const AISA06_ERR_NO_DEVICE = 5000             ' No device or not an aISA-A15
Global Const AISA06_ERR_RESOURCE = 5001              ' Resource exhaustion
Global Const AISA06_ERR_INVALID_ARG = 5002           ' Invalid argument(s)
Global Const AISA06_ERR_SLOT = 5003                  ' _Xbgԍsłi܂͌܂j
Global Const AISA06_ERR_CHANNEL = 5004               ' `lw肪sł
Global Const AISA06_ERR_NOT_CREATED = 5005           ' foCXNGCgĂ܂
Global Const AISA06_ERR_TIMEOUT = 5006               ' f[^o͂Ɏs܂

' I/O\[XzE
Global Const AISA06_NMAX_MEM = 9                 ' MAX_MEM_REGISTERS
Global Const AISA06_NMAX_IO = 20                 ' MAX_IO_PORTS
Global Const AISA06_NMAX_IRQ = 7                 ' MAX_IRQS
Global Const AISA06_NMAX_DMA = 7                 ' MAX_DMA_CHANNELS

' ***** I/O\[X\ *****
' YfoCXgpI/O\[XAvP[V󂯎邽߂̍\́B
Type AISA06RESOURCE
    dwNumMemWindows As Long                      ' EBhE
    dwMemBase(1 To AISA06_NMAX_MEM) As Long      ' EBhEJnAhX
    dwMemLength(1 To AISA06_NMAX_MEM) As Long    ' EBhE
    dwMemAttrib(1 To AISA06_NMAX_MEM) As Long    ' EBhE
    dwNumIOPorts As Long                         ' I/O|[g
    dwIOPortBase(1 To AISA06_NMAX_IO) As Long    ' I/O|[gJnAhX
    dwIOPortLength(1 To AISA06_NMAX_IO) As Long  ' I/O|[g
    dwNumIRQs As Long                            ' IRQ
    dwIRQRegisters(1 To AISA06_NMAX_IRQ) As Long ' IRQԍ
    dwIRQAttrib(1 To AISA06_NMAX_IRQ) As Long    ' IRQ
    dwNumDMAs As Long                            ' DMA`l
    dwDMALst(1 To AISA06_NMAX_DMA) As Long       ' DMA`l
    dwDMAAttrib(1 To AISA06_NMAX_DMA) As Long    ' DMA`l
    dwReserved1(1 To 3) As Long                  ' \
End Type

' foCX̎gp錾
Declare Function Aisa06Create Lib "aisa06" (lpwLogSlot As Integer, ByVal hWnd As Long, ByVal uWMBase As Long, lpvInitArg As Any) As Long

' foCX̊J錾
Declare Function Aisa06Close Lib "aisa06" (ByVal wLogSlot As Integer) As Long

' foCXhCoDLL̃o[W擾
Declare Function Aisa06GetVersion Lib "aisa06" (lpdwDllVer As Long, lpdwDrvVer As Long) As Long

' I/O\[X̎擾
Declare Function Aisa06GetResource Lib "aisa06" (ByVal wLogSlot As Integer, pres As AISA06RESOURCE) As Long

' o̓f[^̐ݒ
Declare Function Aisa06SetData Lib "aisa06" (ByVal wLogSlot As Integer, ByVal wChData As Integer, ByVal wDaData As Integer) As Long

' G[R[h̎擾
Declare Function Aisa06GetLastError Lib "aisa06" (ByVal wLogSlot As Integer) As Long

' O͏Ԃ̎擾
Declare Function Aisa06GetCH Lib "aisa06" (ByVal wLogSlot As Integer, lpdwCH1 As Long, lpdwCH2 As Long) As Long
